
void _efl_bounce_interpolator_bounces_set(Eo *obj, Efl_Bounce_Interpolator_Data *pd, int bounces);


static Eina_Error
__eolian_efl_bounce_interpolator_bounces_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_bounce_interpolator_bounces_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_bounce_interpolator_bounces_set, EFL_FUNC_CALL(bounces), int bounces);

int _efl_bounce_interpolator_bounces_get(const Eo *obj, Efl_Bounce_Interpolator_Data *pd);


static Eina_Value
__eolian_efl_bounce_interpolator_bounces_get_reflect(const Eo *obj)
{
   int val = efl_bounce_interpolator_bounces_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_bounce_interpolator_bounces_get, int, 0);

void _efl_bounce_interpolator_rigidness_set(Eo *obj, Efl_Bounce_Interpolator_Data *pd, double rigidness);


static Eina_Error
__eolian_efl_bounce_interpolator_rigidness_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_bounce_interpolator_rigidness_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_bounce_interpolator_rigidness_set, EFL_FUNC_CALL(rigidness), double rigidness);

double _efl_bounce_interpolator_rigidness_get(const Eo *obj, Efl_Bounce_Interpolator_Data *pd);


static Eina_Value
__eolian_efl_bounce_interpolator_rigidness_get_reflect(const Eo *obj)
{
   double val = efl_bounce_interpolator_rigidness_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_bounce_interpolator_rigidness_get, double, 0);

Efl_Object *_efl_bounce_interpolator_efl_object_constructor(Eo *obj, Efl_Bounce_Interpolator_Data *pd);


double _efl_bounce_interpolator_efl_interpolator_interpolate(Eo *obj, Efl_Bounce_Interpolator_Data *pd, double progress);


static Eina_Bool
_efl_bounce_interpolator_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_BOUNCE_INTERPOLATOR_EXTRA_OPS
#define EFL_BOUNCE_INTERPOLATOR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_bounce_interpolator_bounces_set, _efl_bounce_interpolator_bounces_set),
      EFL_OBJECT_OP_FUNC(efl_bounce_interpolator_bounces_get, _efl_bounce_interpolator_bounces_get),
      EFL_OBJECT_OP_FUNC(efl_bounce_interpolator_rigidness_set, _efl_bounce_interpolator_rigidness_set),
      EFL_OBJECT_OP_FUNC(efl_bounce_interpolator_rigidness_get, _efl_bounce_interpolator_rigidness_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_bounce_interpolator_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_interpolator_interpolate, _efl_bounce_interpolator_efl_interpolator_interpolate),
      EFL_BOUNCE_INTERPOLATOR_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"bounces", __eolian_efl_bounce_interpolator_bounces_set_reflect, __eolian_efl_bounce_interpolator_bounces_get_reflect},
      {"rigidness", __eolian_efl_bounce_interpolator_rigidness_set_reflect, __eolian_efl_bounce_interpolator_rigidness_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_bounce_interpolator_class_desc = {
   EO_VERSION,
   "Efl.Bounce_Interpolator",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Bounce_Interpolator_Data),
   _efl_bounce_interpolator_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_bounce_interpolator_class_get, &_efl_bounce_interpolator_class_desc, EFL_OBJECT_CLASS, EFL_INTERPOLATOR_INTERFACE, NULL);
